ZWrtParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
ZWrtParser Class Reference

the main class to read a ZWrite file More...

`#include <ZWrtParser.hxx>`

Inheritance diagram for ZWrtParser:

## Public Member Functions
| ZWrtParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~ZWrtParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGTextInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document More...
MWAWVec2f | getPageLeftTop () const
| returns the page left top point ( in inches) More...
void | newPage (int number)
| adds a new page More...
bool | sendHeaderFooter (bool header)
| try to send the header/footer More...
bool | createZones ()
| finds the different objects zones More...
bool | readBarState (MWAWEntry const &entry)
| read the bar state More...
bool | readHTMLPref (MWAWEntry const &entry)
| read the html export pref More...
bool | readPrintInfo (MWAWEntry const &entry)
| read a PrintInfo block More...
bool | readCPRT (MWAWEntry const &entry)
| try to read a xml printinfo zone More...
bool | readSectionRange (MWAWEntry const &entry)
| read the section range block More...
bool | readWindowPos (MWAWEntry const &entry)
| read the window position More...
bool | readUnknownZone (MWAWEntry const &entry)
| read a unknown block More...
bool | readCPos (MWAWEntry const &entry)
| read a cursor position in a section? More...
bool | readSLen (MWAWEntry const &entry)
| read a section length ? More...
bool | getFieldList (MWAWEntry const &entry, std::vector< ZWField > &list)
| returns a list of field More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< ZWrtParserInternal::State > | m_state
| the state More...
shared_ptr< ZWrtText > | m_textParser
| the text parser More...

## Friends
class | ZWrtParserInternal::SubDocument
class | ZWrtText

## Detailed Description

the main class to read a ZWrite file

## Constructor & Destructor Documentation

ZWrtParser::ZWrtParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

ZWrtParser::~ZWrtParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool ZWrtParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void ZWrtParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool ZWrtParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

bool ZWrtParser::getFieldList | ( | MWAWEntry const & | entry,
|  | std::vector< ZWField > & | list
| ) |  |
| protected

returns a list of field

Referenced by readBarState(), readCPos(), ZWrtText::readHFZone(), readHTMLPref(), readPrintInfo(), readSLen(), ZWrtText::readStyles(), readUnknownZone(), and readWindowPos().

MWAWVec2f ZWrtParser::getPageLeftTop | ( |  | ) | const
| protected

returns the page left top point ( in inches)

void ZWrtParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by ZWrtParser().

void ZWrtParser::newPage | ( | int | number | ) |
| protected

adds a new page

Referenced by ZWrtText::sendText().

void ZWrtParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWTextParser.

bool ZWrtParser::readBarState | ( | MWAWEntry const & | entry | ) |
| protected

read the bar state

Referenced by createZones().

bool ZWrtParser::readCPos | ( | MWAWEntry const & | entry | ) |
| protected

read a cursor position in a section?

Referenced by createZones().

bool ZWrtParser::readCPRT | ( | MWAWEntry const & | entry | ) |
| protected

try to read a xml printinfo zone

Referenced by createZones().

bool ZWrtParser::readHTMLPref | ( | MWAWEntry const & | entry | ) |
| protected

read the html export pref

Referenced by createZones().

bool ZWrtParser::readPrintInfo | ( | MWAWEntry const & | entry | ) |
| protected

read a PrintInfo block

Referenced by createZones().

bool ZWrtParser::readSectionRange | ( | MWAWEntry const & | entry | ) |
| protected

read the section range block

Referenced by createZones().

bool ZWrtParser::readSLen | ( | MWAWEntry const & | entry | ) |
| protected

read a section length ?

Referenced by createZones().

bool ZWrtParser::readUnknownZone | ( | MWAWEntry const & | entry | ) |
| protected

read a unknown block

Referenced by createZones().

bool ZWrtParser::readWindowPos | ( | MWAWEntry const & | entry | ) |
| protected

read the window position

Referenced by createZones().

libmwaw::DebugFile & ZWrtParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by readBarState(), readCPos(), readCPRT(), ZWrtText::readHFZone(), readHTMLPref(), readPrintInfo(), ZWrtText::readSectionFonts(), readSectionRange(), readSLen(), ZWrtText::readStyles(), readUnknownZone(), readWindowPos(), and ZWrtText::sendText().

MWAWInputStreamPtr ZWrtParser::rsrcInput | ( |  | ) |
| protected

return the input input

Referenced by ZWrtText::computePositions(), getFieldList(), readBarState(), readCPos(), readCPRT(), ZWrtText::readHFZone(), readHTMLPref(), readPrintInfo(), ZWrtText::readSectionFonts(), readSectionRange(), readSLen(), ZWrtText::readStyles(), readUnknownZone(), readWindowPos(), ZWrtText::sendHeaderFooter(), sendHeaderFooter(), and ZWrtText::sendText().

bool ZWrtParser::sendHeaderFooter | ( | bool | header | ) |
| protected

try to send the header/footer

Referenced by ZWrtParserInternal::SubDocument::parse().

## Friends And Related Function Documentation

friend class ZWrtParserInternal::SubDocument
| friend

friend class ZWrtText
| friend

Referenced by init().

## Member Data Documentation

shared_ptr<ZWrtParserInternal::State> ZWrtParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), getPageLeftTop(), init(), and newPage().

shared_ptr<ZWrtText> ZWrtParser::m_textParser
| protected

the text parser

Referenced by createDocument(), createZones(), init(), parse(), and sendHeaderFooter().

The documentation for this class was generated from the following files:

- ZWrtParser.hxx
- ZWrtParser.cxx